Permalink
Fetching contributors…
Cannot retrieve contributors at this time
255 lines (240 sloc) 5.29 KB
language: php
sudo: false
cache:
directories:
- vendor
- $HOME/.composer/cache
php:
- 7.0
- 7.1
- nightly
env:
- DB=sqlite
- DB=mysql
- DB=mysqli
matrix:
fast_finish: true
include:
- php: 7.0
env: DB=mariadb MARIADB_VERSION=10.0
addons:
mariadb: 10.0
- php: 7.1
env: DB=mariadb MARIADB_VERSION=10.0
addons:
mariadb: 10.0
- php: nightly
env: DB=mariadb MARIADB_VERSION=10.0
addons:
mariadb: 10.0
- php: 7.0
env: DB=mariadb MARIADB_VERSION=10.1
addons:
mariadb: 10.1
- php: 7.1
env: DB=mariadb MARIADB_VERSION=10.1
addons:
mariadb: 10.1
- php: nightly
env: DB=mariadb MARIADB_VERSION=10.1
addons:
mariadb: 10.1
- php: 7.0
addons:
postgresql: "9.2"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.2
- php: 7.1
addons:
postgresql: "9.2"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.2
- php: nightly
addons:
postgresql: "9.2"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.2
- php: 7.0
addons:
postgresql: "9.3"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.3
- php: 7.1
addons:
postgresql: "9.3"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.3
- php: nightly
addons:
postgresql: "9.3"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.3
- php: 7.0
addons:
postgresql: "9.4"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.4
- php: 7.1
addons:
postgresql: "9.4"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.4
- php: nightly
addons:
postgresql: "9.4"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.4
- php: 7.0
sudo: false
dist: trusty
addons:
postgresql: "9.5"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.5
- php: 7.1
sudo: false
dist: trusty
addons:
postgresql: "9.5"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.5
- php: nightly
sudo: false
dist: trusty
addons:
postgresql: "9.5"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.5
- php: 7.0
sudo: false
dist: trusty
addons:
postgresql: "9.6"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.6
- php: 7.1
sudo: false
dist: trusty
addons:
postgresql: "9.6"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.6
- php: nightly
sudo: false
dist: trusty
addons:
postgresql: "9.6"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.6
- php: hhvm
sudo: true
dist: trusty
group: edge # until the next Trusty update
addons:
mariadb: 10.0
env: DB=mariadb MARIADB_VERSION=10.0
- php: hhvm
sudo: true
dist: trusty
group: edge # until the next Trusty update
addons:
mariadb: 10.1
env: DB=mariadb MARIADB_VERSION=10.1
- php: hhvm
sudo: true
dist: trusty
group: edge # until the next update
addons:
apt:
packages:
- mysql-server-5.6
- mysql-client-core-5.6
- mysql-client-5.6
services:
- mysql
env: DB=mysql
- php: hhvm
sudo: true
dist: trusty
group: edge # until the next update
addons:
apt:
packages:
- mysql-server-5.6
- mysql-client-core-5.6
- mysql-client-5.6
services:
- mysql
env: DB=mysqli
- php: hhvm
sudo: true
dist: trusty
group: edge # until the next update
addons:
postgresql: "9.2"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.2
- php: hhvm
sudo: true
dist: trusty
group: edge # until the next update
addons:
postgresql: "9.3"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.3
- php: hhvm
sudo: true
dist: trusty
group: edge # until the next update
addons:
postgresql: "9.4"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.4
- php: hhvm
sudo: true
dist: trusty
addons:
postgresql: "9.5"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.5
- php: hhvm
sudo: true
dist: trusty
addons:
postgresql: "9.6"
services:
- postgresql
env: DB=pgsql POSTGRESQL_VERSION=9.6
- php: hhvm
sudo: true
dist: trusty
group: edge # until the next update
env: DB=sqlite
allow_failures:
- php: hhvm
- php: nightly
before_install:
# Force hhvm PHP 7 mode
- if [[ $TRAVIS_PHP_VERSION = hhv* ]]; then echo hhvm.php7.all=1 >> /etc/hhvm/php.ini; fi
install:
- travis_retry composer install
script: ./vendor/bin/phpunit --configuration tests/travis/$DB.travis.xml